# $Revision: 1.3 $, $Date: 2004/05/06 18:43:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Imager
%define	pnam	Plot
Summary:	Imager::Plot - generating fancy graphic plots in color
Summary(pl):	Imager::Plot - generowanie ozdobnych wykresw w kolorze
Name:		perl-Imager-Plot
Version:	0.09
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	04e91bbff3bf92e28ba939aed3752a12
BuildRequires:	perl-Imager >= 0.41
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Imager >= 0.41
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a module for generating fancy raster plots in color. There is
support for drawing multiple datasets on the same plot, over a
background image. It's even possible to do shadows with some thinking.
It's also possible to generate clean plots without any chartjunk at
all.

%description -l pl
Ten modu suy do generowania ozdobnych wykresw rastrowych w
kolorze. Obsuguje rysowanie wielu zbiorw danych na tym samym
wykresie, ponad tym samym tem. Mona nawet doda cienie. Mona te
wygenerowa czyste wykresy, bez adnych zamiecaczy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Imager/Plot.pm
%{perl_vendorlib}/Imager/Plot
%attr(755,root,root) %{perl_vendorlib}/Imager/plot.pl
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Imager-Plot.spec,v $
Revision 1.3  2004/05/06 18:43:13  ankry
- fixed perl-devel BR

Revision 1.2  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.1  2003/10/25 18:16:28  qboosh
- new

